#
# spec file for package perl-Filesys-Df (Version 0.92)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Filesys-Df
%define cpan_name Filesys-Df
Summary:        Perl extension for filesystem disk space information
Version:        0.92
Release:        bp154.1.30
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Filesys-Df/
Source:         http://www.cpan.org/modules/by-module/Filesys/Filesys-Df-0.92.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  dos2unix

%description
This module provides a way to obtain filesystem disk space information.
This is a Unix only distribution. If you want to gather this information
for Unix and Windows, use Filesys::DfPortable. The only major benefit of
using Filesys::Df over Filesys::DfPortable, is that Filesys::Df supports
the use of open filehandles as arguments.

Authors:
    Ian Guthrie <IGuthrie@aol.com>

%prep
%setup -q -n Filesys-Df-%{version}
# some rpmlint
dos2unix README XS_*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%{__rm} -f %{buildroot}%{perl_vendorarch}/auto/Filesys/Df/.packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README XS_statfs XS_statvfs

%changelog
* Tue May  8 2012 cfarrell@suse.com
- license update: GPL-1.0+ or Artistic-1.0
  SPDX format (http://www.spdx.org/licenses)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Apr 23 2010 chris@computersalat.de
- recreated package by cpanspec 1.78
* Thu Apr 22 2010 rschweikert@novell.com
- Initial build perl-filesys-Df version 0.92
